Domain Registration
Endpoints for registering domains and checking availability.
Register or transfer domain
Register or transfer a single domain for the authenticated team.
Validation happens realtime but the actual registration or transfer will be processed asynchronously. Do not consider the domain successfully registered until the status of the domain changes.
This endpoint could result in a charge to the authenticated team's payment method or an invoice being created. Use the
.exampleTLD for testing purposes, these are free to manage.
query Parameters
expand[]Expand related resources.
Register or transfer domain › Request Body
domainThe domain name to register or transfer.
intended_useA brief and truthful description of how the domain will be used.
Required when the TLD resource returns requires_intended_use: true.
auth_codeIf you are transferring a domain, you must provide the authorization code if it's required by the registry.
is_using_hosted_dnsEnable hosted DNS. When not using hosted DNS, you must provide at least two nameservers.
is_whois_privacy_enabledEnable or disable WHOIS privacy for the domain. This is not supported by all TLDs, check supports_whois_privacy for the TLD first before setting this attribute. Cannot be provided together with contacts.
Map of contacts for the domain. If you do not provide a contact type supported by the TLD, the contact will be set to the default contact for the team. When you provide contact handle types that are not supported by the TLD they will be ignored.
Cannot be provided together with is_whois_privacy_enabled.
DNSSEC keys are not supported by all TLDs, check supports_dnssec for the TLD first before providing this attribute. If you want to enable DNSSEC you need to provide at least one DNSSEC key.
Custom nameservers to use when hosted DNS is disabled. You need to provide at least two nameservers.
scheduled_transfer_atSchedule an incoming transfer for a future minute. Only available for transfers. Use an RFC 3339 timestamp; if no timezone is provided, UTC is assumed. Seconds are discarded, and the resulting UTC minute must be at least 15 minutes and at most one year in the future.
Only available for teams that have access to monthly invoices.
Optional metadata to attach to the domain. Metadata keys must be strings and cannot exceed 40 characters or contain [ or ] characters.
Metadata values must be strings and cannot exceed 500 characters.
A domain cannot have more than 50 metadata keys.
Register or transfer domain › Responses
DomainWithNotices
Check domain availability
Check the availability of a domain name.
path Parameters
domainNamequery Parameters
expand[]Expand related resources.
auth_codeSome registries (.nl for example) allow retrieving more domain information with an auth-code. This can be used to see the current renewal date of a domain before transferring it.
This is optional and should only be provided if the user has the auth-code for the domain and needs to see the extended info.
Check domain availability › Responses
DomainAvailabilityResult
Retry a failed registration
Retry a failed registration after correcting the customer-editable configuration identified by the domain notice. No additional charge is created for a registration retry.
path Parameters
domainNameOrIdfull domain name or ID
Retry a failed registration › Responses
The registration retry was accepted. The returned domain and notices reflect the state after the retry was requested; the registration itself may still be processing.
Resend contact verification
Request another contact-verification email for the domain owner contact while verification is pending.
path Parameters
domainNameOrIdfull domain name or ID
Resend contact verification › Responses
DomainWithNotices